<?php 
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
?>
<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tableborder">
  <tr>
    <td background="images/top_bg.gif" height="32"><img src="images/top_logo.gif"></td>
    <td background="images/top_bg.gif" height="32" align="center"><font style="FONT-SIZE: 18px;color:white;"><b><?=$lang['tmp.info6']?></b></font></td>
    <td background="images/top_bg.gif" height="32" align="right"><span style="float:right;border-bottom : 1px dotted buttonface;"><font style="color:#CCCCCC ;Font-size:8pt;"><?=$lang['tmp.info7']?>&copy;<?=$lang['tmp.info8']?></font></span></td>
  </tr>
</table>
<br>
	  <?
		if(!empty($record_row))	{
			if(is_array($record_row)){
				$n=count($record_row);
				for($i=0;$i<$n-1;$i++){
					$info_val=explode($lang['exp.chr'],$record_row[$i]);
					$js1=substr($info_val[1],-9);
					$js2="</script>";
					if(strcmp($info_val[3],"1")===0){
						$trsf_info=$lang['transfer_type.info2'];
					}
					elseif(strcmp($info_val[3],"2")===0){
						$trsf_info=$lang['transfer_type.info3'];
					}
					elseif(strcmp($info_val[3],"3")===0){
						$trsf_info=$lang['transfer_type.info4'];
					}
					elseif(strcmp($info_val[3],"4")===0){
						$trsf_info=$lang['transfer_type.info5'];
					}
					elseif(strcmp($info_val[3],"5")===0){
						$trsf_info=$lang['transfer_type.info6'];
					}
					elseif(strcmp($info_val[3],"6")===0){
						$trsf_info=$lang['transfer_type.info7'];
					}
					$domain="http://".$_SERVER['HTTP_HOST']."/";
					$link_str=$info_val[1];
					if(strpos($link_str,'../')!==false){
						$link_str=str_replace('../',$domain,$link_str);
						if(strpos($link_str,'\\')!==false){
							$link_str=str_replace('\\','',$link_str);
						}
					}
					$fileurl=explode('/',$_SERVER["PHP_SELF"]);
					if(count($fileurl)==4){
						$link_str=str_replace($domain,$domain.$fileurl[1].'/',$link_str);
					}
					elseif(count($fileurl)==5){						
						$link_str=str_replace($domain,$domain.$fileurl[1].'/'.$fileurl[2].'/',$link_str);
					}
					elseif(count($fileurl)==6){						
						$link_str=str_replace($domain,$domain.$fileurl[1].'/'.$fileurl[2].'/'.$fileurl[3].'/',$link_str);
					}
		?>
<table style="width:60%;"  border="0" align="center" cellpadding="0" cellspacing="0" class="tableborder">
 <form name="f1" method="post" action="">
  <tr>
    <td class="tit1"><?=$lang['tpl.str1']?> <?echo $trsf_info."(".$info_val[2].")".$lang['tmp.info1']?></td>
  </tr>
  <tr>
    <td>
	<table style="width:90%;" align="center" bgcolor="#ffffff" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="25" align="left">&nbsp;&nbsp;<?=$lang['tmp.info2']?></td>
      </tr>
      <tr>
        <td align="left" height="25">&nbsp;&nbsp;
          <input value="1" name="h1" type="hidden">
		  <input type="text" name="code" size="80" style="width:95%;" value="<?echo htmlspecialchars($link_str)?>">
       </td>
      </tr>
      <tr>
        <td align="left" height="25">&nbsp;&nbsp;
          <input type="button" value="<?echo $lang['tmp.info4']?>" onclick=Exec(code,'Copy')>			 
       </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="25" align="left"><?=$lang['tmp.info3']?></td>
  </tr>
  <tr><td height="1" bgcolor="#0099FF" style="width:80%"></td></tr>
  <tr>
    <td height="60" align="left" valign="middle"><blockquote><?echo $link_str?></blockquote></td>
  </tr>
  </form>
</table>
<br>
 <?
				}
			}
		}
?>
<script language=Jscript>
function Exec(obj,cmd){obj.select();document.execCommand(cmd)}
</script>